using System;
using System.IO;
using System.Reflection;
using CommonLib.Windows.Forms;

namespace All_Purpose_Auto_Setup
{
   public partial class frmAbout : ChildForm
   {
      public frmAbout()
      {
         InitializeComponent();

         Version appVersion = Assembly.GetExecutingAssembly().GetName().Version;

         DateTime buildDate = File.GetCreationTime(Assembly.GetExecutingAssembly().Location);

         lblDescription.Text = "Version: " + appVersion.Major.ToString() + "." + appVersion.Minor.ToString() + "\n";
         lblDescription.Text += "Last update: " + buildDate.ToString() + "\n";

         lblAuthor.Text = "Developer: Duc Le";
      }

      private void btnOK_Click(object sender, EventArgs e)
      {
         this.Close();
      }
   }
}
